summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRico Tzschichholz <ricotz@ubuntu.com>2016-09-04 22:23:21 +0200
committerRico Tzschichholz <ricotz@ubuntu.com>2016-09-04 22:32:33 +0200
commite39408f558d7b1e8a0f2ca729b1f319d6ae5008f (patch)
tree2e7fcdc0b4d956911fa9d2a7ddf0ac8df8179c5e
parent675628d79bc9816573b9dc21d734894ed465c122 (diff)
Drop dependency on gnome-common
-rw-r--r--Makefile.am2
-rwxr-xr-xautogen.sh33
-rw-r--r--configure.ac9
3 files changed, 39 insertions, 5 deletions
diff --git a/Makefile.am b/Makefile.am
index 3feaa0f9..cecaf184 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,6 +1,6 @@
NULL =
-ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
+ACLOCAL_AMFLAGS = --install -I m4 ${ACLOCAL_FLAGS}
SUBDIRS = \
libzeitgeist \
diff --git a/autogen.sh b/autogen.sh
index 7c71cf1e..634216fe 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,6 +4,35 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME="zeitgeist"
+(test -f $srcdir/configure.ac) || {
+ echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+ exit 1
+}
+
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+ echo "If you wish to pass any to it, please specify them on the" >&2
+ echo \`$0\'" command line." >&2
+ echo "" >&2
+fi
+
+set -x
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+set +x
+
+if [ "$NOCONFIGURE" = "" ]; then
+ set -x
+ $srcdir/configure "$@" || exit 1
+ set +x
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
-. gnome-autogen.sh
diff --git a/configure.ac b/configure.ac
index fb0d282a..242f15db 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,5 +1,6 @@
AC_INIT([zeitgeist], [0.9.16], [dev@lists.zeitgeist-project.com], [zeitgeist])
AC_CONFIG_MACRO_DIR([m4])
+AC_CONFIG_AUX_DIR([build-aux])
AC_CONFIG_SRCDIR([Makefile.am])
AC_CONFIG_HEADERS(config.h)
AM_INIT_AUTOMAKE([1.11 tar-ustar dist-xz no-dist-gzip -Wno-portability])
@@ -10,8 +11,12 @@ AM_PATH_PYTHON
AC_PROG_CC
AM_PROG_CC_C_O
AC_PROG_CXX
-AC_DISABLE_STATIC
-AC_PROG_LIBTOOL
+AC_PROG_CXX_C_O
+AC_PROG_INSTALL
+
+LT_PREREQ([2.2.6])
+LT_INIT([disable-static])
+PKG_PROG_PKG_CONFIG([0.21])
AM_PROG_VALAC([0.22.0])
AS_IF([test -z "$VALAC"], [AC_MSG_ERROR(["No Vala compiler found."])])